A collection of ListItems primarily to be used within a ListView.

[![pub package](https://img.shields.io/pub/v/http.svg)](https://pub.dartlang.org/packages/slick_list_items)

## Description:
This package contains a number of slick and adaptable list items that are primarily to
be used within ListViews. 

## Using

Simply import package: http/slick_list_items.dart and start using the list item
you like from the list of following slick list items:
    *FlatListItem

```dart
class TransactionsList extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return ListView.builder(
      itemBuilder: _buildList,
    );
  }

  Widget _buildList(BuildContext context, int index) {
    return FlatListItem.transparent(
      context: context,
      scalePreset: ScalePreset.minimal,
      icon: Icon(Icons.monetization_on, color: Colors.black,),
      leftLabelText: 'Amount',
      leftDataText: '0123456789',
      rightLabelText: 'Description',
      rightDataText: 'Bought grocery at...',
    );
  }
}
```